org.apache.lucene.document

## Interface FieldSelector

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    LoadFirstFieldSelector, MapFieldSelector, SetBasedFieldSelector

      public interface FieldSelector
      extends java.io.Serializable

  Similar to a `FileFilter`, the FieldSelector allows one to make decisions about what Fields get loaded on a `Document` by `IndexReader.document(int,org.apache.lucene.document.FieldSelector)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldSelectorResult` | `accept(java.lang.String fieldName)`

- - ### Method Detail

    - #### accept

          FieldSelectorResult accept(java.lang.String fieldName)

      Parameters:
        `fieldName` - the field to accept or reject
      Returns:
        an instance of `FieldSelectorResult` if the `Field` named `fieldName` should be loaded.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.